#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
logfile="/var/log/userful-dm.log"
CONFIG_FILE=$1
if grep "^ReserveServers=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^ReserveServers=.*/ReserveServers=/g" $CONFIG_FILE
else
sed -i -e "s/^#ReserveServers=.*/ReserveServers=/g" $CONFIG_FILE
fi
if grep "^ConsoleTTYs=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^ConsoleTTYs=.*/ConsoleTTYs=/g" $CONFIG_FILE
else
sed -i -e "s/^#ConsoleTTYs=.*/ConsoleTTYs=/g" $CONFIG_FILE
fi
sed -i -e "s/^#OpenDelay=.*/OpenDelay=3/g" $CONFIG_FILE
sed -i -e "s/^#OpenTimeout=.*/OpenTimeout=24/g" $CONFIG_FILE
sed -i -e "s/^#OpenRepeat=.*/OpenRepeat=1/g" $CONFIG_FILE
sed -i -e "s/^#StartAttempt=.*/StartAttempt=1/g" $CONFIG_FILE
if grep "ServerCmd=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^ServerCmd=.*/ServerCmd=\/opt\/userful\/bin\/login-server/g" $CONFIG_FILE
else
sed -i -e "s/^\[X-:\*-Core\]/\[X-:\*-Core\]\nServerCmd=\/opt\/userful\/bin\/login-server/g" $CONFIG_FILE
fi
if grep "^TerminateServer=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^TerminateServer=.*/TerminateServer=true/g" $CONFIG_FILE
elif grep "^#TerminateServer=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^#TerminateServer=.*/TerminateServer=true/g" $CONFIG_FILE
else
sed -i -e "s/^\[X-:\*-Core\]/\[X-:\*-Core\]\nTerminateServer=true/g" $CONFIG_FILE
fi
sed -i -e "s/^AutoLoginEnable=true/AutoLoginEnable=false/g" $CONFIG_FILE
if grep "^Authorize=" $CONFIG_FILE > /dev/null 2>&1; then
sed -i -e "s/^Authorize=.*/Authorize=false/g" $CONFIG_FILE
else
sed -i -e "s/^#Authorize=.*/Authorize=false/g" $CONFIG_FILE
fi
