#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
#
#
logfile="/var/log/userful-start.log"
ProgramName=`basename $0`
if [ ! -f /etc/sysconfig/xtype ]; then
echo "`date +"%b %d %T"` $ProgramName: Unable to find /etc/sysconfig/xtype" >> $logfile
exit 1
fi
if [ -x /opt/userful/bin/usbaudio-refresh.sh ]; then
/opt/userful/bin/usbaudio-refresh.sh
fi
#
#
if [ -f /opt/userful/bin/multistation-audio-config.sh ]; then
/opt/userful/bin/multistation-audio-config.sh
else
echo "`date +"%b %d %T"` $ProgramName: The Audio Support program is not found. The package for Audio Support may not be installed yet." >> $logfile
fi
#
#
if [ -f /opt/userful/bin/multistation-storage-config.sh ]; then
/opt/userful/bin/multistation-storage-config.sh
else
echo "`date +"%b %d %T"` $ProgramName: The Storage Support program is not found. The package for Storage Support may not be installed yet." >> $logfile
fi
