#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
logfile="/var/log/userful-start.log"
if [ x == x"$1" ]; then
echo "`date +"%b %d %T"` umx-block-device-change.sh: No arguments received." >>  $logfile
fi
TARGET_DEV=$1
for TARGET_UDI in $(hal-find-by-property --key "block.device" --string "$TARGET_DEV")
do
INFO_SCREEN=$(hal-get-property --udi $TARGET_UDI --key "info.screen")
if [ x == x"$INFO_SCREEN" ]; then
continue
fi
if [ "shared" == "$INFO_SCREEN" ]; then
echo "`date +"%b %d %T"` umx-block-device-change.sh: $TARGET_DEV is shared device." >>  $logfile
chmod a+rw $TARGET_DEV
continue
fi
if [ -e /etc/startat ]; then
STARTAT=$(cat /etc/startat)
fi
if [ x == x"$STARTAT" ]; then
STARTAT="1"
fi

if [ -e /opt/userful/locks/user.screen$INFO_SCREEN ]; then
STATIONUSER=$(cat /opt/userful/locks/user.screen$INFO_SCREEN)
echo "`date +"%b %d %T"` umx-block-device-change.sh: $TARGET_DEV is assigned to $STATIONUSER" >>  $logfile
chown $STATIONUSER $TARGET_DEV
fi
done
