#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
logfile="/var/log/userful-start.log"
DEVFS="/dev/usb2vga"
SYSFS="/sys"
ACTION=$1
DEVPATH=$2
PREFIX=${DEVPATH%-*}
PORT=${DEVPATH#$PREFIX-}
PREFIX=${DEVPATH%/usb*}
USBNAME=${PREFIX##/*/}
USBPATH="usb-$USBNAME-$PORT"
if [ "$ACTION" == "add" ]; then
if [ ! -e /dev/usb2vga ]; then
mkdir -p /dev/usb2vga
fi
ln -sf $SYSFS/$DEVPATH $DEVFS/$USBPATH
elif [ "$ACTION" == "remove" ]; then
rm -f $DEVFS/$USBPATH
else
echo "Invalid ACTION: $ACTION" >> $logfile
fi
