#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
logfile="/var/log/userful-start-dl.log"
DEVFS="/dev/usb2vga"
SYSFS="/sys"
ACTION=$1
DEVTYPE=$2
DEVPATH=$3
BUS=$3
ID=$4
PREFIX=${DEVPATH%-*}
PORT=${DEVPATH#$PREFIX-}
PREFIX=${DEVPATH%/usb*}
USBNAME=${PREFIX##/*/}
USBPATH="usb-$USBNAME-$PORT"
IMAGE_DISPLAY_DL="/opt/MX11R7/bin/dl_put_image"
IMAGE_DISPLAY_SLEEP_DL="/opt/userful/bin/dl-put-image-sleep.sh"
IMAGE_DISPLAY_MCT="/opt/MX11R7/bin/mct_put_image"
IMAGE_DISPLAY_SLEEP_MCT="/opt/userful/bin/mct-put-image-sleep.sh"
IMAGE_BUNDLE="/opt/userful/images/usbvga.bundle"
MXORG_LOG="/etc/X11/userful.Mxorg.conf"
if [ "$ACTION" == "add" ]; then
killall dl_put_image	
killall mct_put_image
XSTARTED=`pgrep X | wc -l`

if [ "$XSTARTED" -gt "0" ]; then
if grep $USBPATH $MXORG_LOG ; then
echo "RESUMING..." >> $logfile
if [ "$DEVTYPE" == "dl" ]; then
$IMAGE_DISPLAY_SLEEP_DL $USBPATH reconnect >> $logfile &
elif [ "$DEVTYPE" == "mct" ]; then
$IMAGE_DISPLAY_SLEEP_MCT $BUS $ID reconnect >> $logfile &
fi
else
echo "NEED TO RESTART..." >> $logfile
if [ "$DEVTYPE" == "dl" ]; then
$IMAGE_DISPLAY_SLEEP_DL $USBPATH restart >> $logfile &
elif [ "$DEVTYPE" == "mct" ]; then
$IMAGE_DISPLAY_SLEEP_MCT $BUS $ID restart >> $logfile &
fi
fi
else
if [ "$DEVTYPE" == "dl" ]; then
$IMAGE_DISPLAY_DL $USBPATH $IMAGE_BUNDLE userful-bkg product 30 30 welcome 200 100 >> $logfile &
elif [ "$DEVTYPE" == "mct" ]; then
$IMAGE_DISPLAY_MCT $BUS $ID $IMAGE_BUNDLE userful-bkg product 30 30 welcome 200 100 >> $logfile &
fi
fi
elif [ "$ACTION" == "remove" ]; then
echo "REMOVE" >> $logfile
else
echo "Invalid ACTION: $ACTION" >> $logfile
fi
