#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
TEXTDOMAINDIR=/usr/share/locale
TEXTDOMAIN=userful-control-panel
echo "PAM_USER = $PAM_USER" > /tmp/test-$$.log
echo "UID = $UID" >> /tmp/test-$$.log
if [ "$PAM_FUNCTION" != "AUTHENTICATE" ]; then
exit 0
fi
if [ -z "$PAM_USER" ]; then
exit 2
fi
if pgrep -u $PAM_USER &>/dev/null ; then
echo $"Error: $PAM_USER is already logged in. Try another user."
exit 7
fi
exit 0
