#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
ProgramName=`basename $0`
function usage()
{
echo ""
echo "Usage: userful [shutdown|reboot]"
echo ""
exit 1
}
source /opt/userful/bin/userful-bash-lib.sh
IsRoot
[[ -z $1 ]] && usage
COMMAND=$1
shift
case "$COMMAND" in
"-h")
/opt/userful/bin/vtlock -disable
telinit 0
;;
"-r")
/opt/userful/bin/vtlock -disable
telinit 6
;;
*)
echo -e "\nError: Invalid command name - $COMMAND\n"
usage
;;
esac
