#!/usr/bin/env python
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
import libxml2
import sys
send_ifs = ("org.freedesktop.Hal.Device.Volume", "org.freedesktop.Hal.Device.Volume.Crypto")
xpath_expr = '/busconfig/policy/deny'
def update_hal_conf(config_file):
    doc = libxml2.parseFile(config_file)
    if doc.name != config_file:
        print "doc.name failed"
        sys.exit(1)
    deny_elem = None
    deny_elem = doc.xpathEval(xpath_expr)
    if deny_elem:
        for send_if in send_ifs:
            for elem in deny_elem:
                if elem.hasProp('send_interface') and elem.prop('send_interface') == send_if:
                    elem.unlinkNode()
                else:
                    pass
        
    fd = open(config_file, 'w')
    doc.saveTo(fd)
    fd.close
    doc.freeDoc()
    return
def main():
    command = sys.argv[0]
    if len(sys.argv) != 2:
        print "Usage: " + command + " path_of_hal.conf"
        return
    
    file = sys.argv[1]
    update_hal_conf(file)
if __name__ == "__main__":
    main()
