#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
function usage()
{
echo ""
echo "Usage: userful driver [OPTION]"
echo ""
echo -e "\tOPTIONS:"
echo -e "\t\t-h"
echo -e "\t\t-help\t\t- Print this help message"
echo -e "\t\t-install matrox\t- Install Matrox driver"
echo ""
exit 1
}
function installDriver()
{
[[ -z $1 ]] && usage
[[ "$1" != "matrox" ]] && usage
exec /opt/userful/bin/userful-install-matrox-driver.sh
}
source /opt/userful/bin/userful-bash-lib.sh
#
IsRoot
[[ -z $1 ]] && usage
case "$1" in
-h|-help)
usage
;;
-install)
shift
installDriver $*
;;
*)
echo -e "\nError: Invalid option - $1"
usage
;;
esac
