#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
logfile="/var/log/userful-start.log"
ProgramName=`basename $0`
if [ ! -r /proc/kmsg ]; then
echo ""
echo "This program should be run as root."
echo ""
exit 1
fi
DBUSDAEMON="/etc/init.d/messagebus"
HALDAEMON="/etc/init.d/haldaemon"
if ! pgrep -f "dbus-daemon --system" > /dev/null 2>&1; then
echo "`date +"%b %d %T"` [$ProgramName]: Start dbus-daemon.." >> $logfile
$DBUSDAEMON restart
echo "`date +"%b %d %T"` [$ProgramName]: Start hal-daemon.." >> $logfile
$HALDAEMON restart
exit 0
fi
if ! $HALDAEMON status > /dev/null 2>&1; then
echo "`date +"%b %d %T"` [$ProgramName]: Start hal-daemon.." >> $logfile
$HALDAEMON restart
fi
